﻿# ASP.NET Core Model Providers Sample

This sample illustrates use of Razor Pages custom route and page model providers. This sample demonstrates the features described in the [Razor Pages route and app convention features](https://docs.microsoft.com/aspnet/core/mvc/razor-pages/razor-pages-convention-features) topic.

## Examples in this sample

| Features | Sample demo |
| -------- | ----------- |
| [Add route and app model conventions](https://docs.microsoft.com/aspnet/core/mvc/razor-pages/razor-pages-convention-features#add-route-and-app-model-conventions) | Add a route attribute and header to the app's pages. |
| [Use AddPageRoute to add a page route](https://docs.microsoft.com/aspnet/core/mvc/razor-pages/razor-pages-convention-features#configure-a-page-route) | Adds the specified route to the page at the specified page. |
| [Page model action conventions](https://docs.microsoft.com/aspnet/core/mvc/razor-pages/razor-pages-convention-features#page-model-action-conventions) | Add a header to pages in a folder, add a header to a single page, and configure a filter factory to add a header to the app's pages. |
| [Replace the default page app model provider](https://docs.microsoft.com/aspnet/core/mvc/razor-pages/razor-pages-convention-features#replace-the-default-page-app-model-provider) | Change the conventions for handler naming. |
